Freeciv-3.1: packet_unit_combat_info Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_unit_combat_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | attacker_unit_id16
int | attacker_unit_id32
int | defender_unit_id16
int | defender_unit_id32
int | attacker_hp
int | defender_hp
bool | make_att_veteran
bool | make_def_veteran

## Detailed Description

Definition at line 704 of file packets_gen.h.

## Field Documentation

## ◆ attacker_hp

int packet_unit_combat_info::attacker_hp

Definition at line 709 of file packets_gen.h.

Referenced by handle_unit_combat_info(), send_combat(), send_packet_unit_combat_info_100(), and send_packet_unit_combat_info_101().

## ◆ attacker_unit_id16

int packet_unit_combat_info::attacker_unit_id16

Definition at line 705 of file packets_gen.h.

Referenced by handle_unit_combat_info(), send_combat(), and send_packet_unit_combat_info_101().

## ◆ attacker_unit_id32

int packet_unit_combat_info::attacker_unit_id32

Definition at line 706 of file packets_gen.h.

Referenced by handle_unit_combat_info(), send_combat(), and send_packet_unit_combat_info_100().

## ◆ defender_hp

int packet_unit_combat_info::defender_hp

Definition at line 710 of file packets_gen.h.

Referenced by handle_unit_combat_info(), send_combat(), send_packet_unit_combat_info_100(), and send_packet_unit_combat_info_101().

## ◆ defender_unit_id16

int packet_unit_combat_info::defender_unit_id16

Definition at line 707 of file packets_gen.h.

Referenced by handle_unit_combat_info(), send_combat(), and send_packet_unit_combat_info_101().

## ◆ defender_unit_id32

int packet_unit_combat_info::defender_unit_id32

Definition at line 708 of file packets_gen.h.

Referenced by handle_unit_combat_info(), send_combat(), and send_packet_unit_combat_info_100().

## ◆ make_att_veteran

bool packet_unit_combat_info::make_att_veteran

Definition at line 711 of file packets_gen.h.

Referenced by handle_unit_combat_info(), send_combat(), send_packet_unit_combat_info_100(), and send_packet_unit_combat_info_101().

## ◆ make_def_veteran

bool packet_unit_combat_info::make_def_veteran

Definition at line 712 of file packets_gen.h.

Referenced by handle_unit_combat_info(), send_combat(), send_packet_unit_combat_info_100(), and send_packet_unit_combat_info_101().